<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Departamento;

class DepartamentoController extends Controller
{
    public function index(){

        $titlePag= 'DEPARTAMENTOS';

        $departamentos = Departamento::all();
    
        return view ('departamentos.index', compact('titlePag','departamentos'));
    }

    public function create(){

        $titlePag= 'AÑADIR DEPARTAMENTO';


        return view("departamentos.crear", compact('titlePag'));
    }

    public function store(Request $request){

        $titlePag= 'DEPARTAMENTO GUARDADO';

        $validacion=$request->validate([
            'nombre' => 'required'
        ]);

        if($validacion){

        $departamento=Departamento::create($request->all());
    
        return view("departamentos.mostrar")
        ->with('departamento', $departamento)
        ->with('titlePag', $titlePag);
        }
    }

    public function show(Departamento $departamento)
    {
        $titlePag= 'MOSTRAR DEPARTAMENTO';

        return view('departamentos.mostrar', compact('titlePag','departamento'));
    }

    public function edit(Departamento $departamento){

        $titlePag= 'EDITAR DEPARTAMENTO';
        return view("departamentos.editar", compact('titlePag','departamento'));
    }

    public function update(Request $request)
    {
        $titlePag= 'DEPARTAMENTO EDITADO';

        $departamento = Departamento::find($request->id);

        $validacion=$request->validate([
            'nombre' => 'required'
        ]);

        if($validacion){
        
        $departamento->update($request->all());
            
        return view('departamentos.mostrar')
        ->with('departamento', $departamento)
        ->with('titlePag', $titlePag);
        }
    }

    public function delete($id){

        $titlePag= 'DEPARTAMENTOS';

        $departamento = Departamento::find($id);
        //archivos perfiles establecimientos
        $departamento->establecimientos()->detach();
        $departamento->perfiles()->detach();
        $departamento->archivos()->detach();
        $departamento->usuarios()->detach();
        $departamento->delete();
    
        $departamentos=Departamento::all();
        
        return view("departamentos.index")
        ->with('departamentos', $departamentos)
        ->with('titlePag', $titlePag)
        ;
    }
}
