<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Empresa;
use App\Models\Establecimiento;

class EmpresaController extends Controller
{
    public function index(){

        $titlePag= 'EMPRESAS';

        $empresas = Empresa::all();
        
        return view ('empresas.index', compact('titlePag','empresas'));
       
}

    public function create(){

        $titlePag= 'AÑADIR EMPRESA';

        return view("empresas.crear", compact('titlePag'));

    }

      /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request){

        $titlePag= 'EMPRESA AÑADIDA';

        $validacion= $request->validate([
            'nombre' => 'required',
            'CIF' => 'required|min:9|max:9',
            'direccion' => 'required',
            'telefono'=> 'required|min:9|max:12'
        ]);

        if ($validacion){ 

        $empresa=Empresa::create($request->all());
        
        return view("empresas.mostrar")
        ->with('empresa', $empresa)
        ->with('titlePag', $titlePag);
        }

    }

   /**
     * Display the specified resource.
     *
     * @param  \App\Models\Empresa  $empresa
     * @return \Illuminate\Http\Response
     */
    public function show(Empresa $empresa)
    {
        $titlePag= 'MOSTRAR EMPRESA';

        return view('empresas.mostrar', compact('titlePag','empresa'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Empresa  $empresa
     * @return \Illuminate\Http\Response
     */
    public function edit(Empresa $empresa){

        $titlePag= 'EDITAR EMPRESA';
        return view("empresas.editar", compact('titlePag','empresa'));

    }

    public function update(Request $request)
    {
        $titlePag= 'EMPRESA EDITADA';

        $empresa = Empresa::find($request->id);

        $validacion= $request->validate([
            'nombre' => 'required',
            'CIF' => 'required|min:9|max:9',
            'direccion' => 'required',
            'telefono'=> 'required|numeric|min:9|max:11'
        ]);

        if ($validacion){ 
        
        $empresa->update($request->all());
            
        return view("empresas.mostrar")
        ->with('empresa', $empresa)
        ->with('titlePag', $titlePag);
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Empresa  $empresa
     * @return \Illuminate\Http\Response
     */
    public function delete($id){
        

        $empresa = Empresa::find($id);
        if ($empresa !== null) {
            $establecimiento=Establecimiento::Find($empresa->establecimientos);
            $establecimiento->empresa_id=null;
            $empresa->establecimientos=null;
            $empresa->delete();

            return redirect()->route('empresas.index');
        }
    }
    
}


