<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Establecimiento;
use App\Models\Empresa;

class EstablecimientoController extends Controller
{
    public function index(){

        $titlePag= 'ESTABLECIMIENTOS';

        $establecimientos = Establecimiento::all();
        
        return view ('establecimientos.index', compact('titlePag','establecimientos'));
       
}

    public function create(){

        $titlePag= 'AÑADIR ESTABLECIMIENTO';

        $empresas=Empresa::All();

        return view("establecimientos.crear", compact('titlePag','empresas'));

    }

      /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request){

        $titlePag= 'ESTABLECIMIENTO AÑADIDO';

        $validacion=$request->validate([
            'nombre' => 'required',
            'direccion' => 'required',
            'telefono'=> 'required | min:9 | max:11',
            'empresa_id'=> 'required',
        ]);

        if ($validacion){ 

        $establecimiento=Establecimiento::create($request->all());
    
        return view('establecimientos.mostrar')
        ->with('establecimiento', $establecimiento)
        ->with('titlePag', $titlePag);
        }
    }

   /**
     * Display the specified resource.
     *
     * @param  \App\Models\Establecimiento  $establecimiento
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $titlePag= 'MOSTRAR ESTABLECIMIENTO';
        $establecimiento = Establecimiento::find($id);
        return view('establecimientos.mostrar')
        ->with('establecimiento', $establecimiento)
        ->with('titlePag', $titlePag);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Establecimiento  $establecimiento
     * @return \Illuminate\Http\Response
     */
    public function edit(Establecimiento $establecimiento){

        $titlePag= 'EDITAR EMPRESA';
        $empresas=Empresa::All();
        return view("establecimientos.editar", compact('titlePag','establecimiento','empresas'));

    }

    public function update(Request $request)
    {
        $titlePag= 'ESTABLECIMIENTO EDITADO';
    
        $establecimiento = Establecimiento::find($request->id);

        $validacion=$request->validate([
            'nombre' => 'required',
            'direccion' => 'required',
            'telefono'=> 'required|min:9|max:11',
            'empresa_id'=> 'required',
        ]);

        if($validacion){
        
        $establecimiento->update($request->all());
            
        return view('establecimientos.mostrar')
        ->with('establecimiento', $establecimiento)
        ->with('titlePag', $titlePag);
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Establecimiento  $establecimiento
     * @return \Illuminate\Http\Response
     */
    public function delete($id){

        $titlePag= 'ESTABLECIMIENTOS';

        $establecimiento = Establecimiento::find($id);
        //archivos perfiles establecimientos
        $establecimiento->departamentos()->detach();
        $establecimiento->perfiles()->detach();
        $establecimiento->archivos()->detach();
        $establecimiento->usuarios()->detach();
        $establecimiento->delete();

        $establecimientos = Establecimiento::all();
    
        return view("establecimientos.index")
        ->with('establecimientos', $establecimientos)
        ->with('titlePag', $titlePag);
    }
    
}

