<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Perfil;

class PerfilController extends Controller
{
    public function index(){

        $titlePag= 'PERFILES';

        $perfiles = Perfil::all();
        
        return view ('perfiles.index', compact('titlePag','perfiles'));
       
}

    public function create(){

        $titlePag= 'AÑADIR PERFIL';

        return view("perfiles.crear", compact('titlePag'));

    }

      /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request){

        $titlePag= 'MOSTRAR PERFIL';

        $validacion=$request->validate([
            'nombre' => 'required',
            'nivel' => 'required',
        ]);

        if ($validacion){ 

        $perfil=Perfil::create($request->all());
    
        return view('perfiles.mostrar')
        ->with('perfil', $perfil)
        ->with('titlePag', $titlePag);
        }

    }

   /**
     * Display the specified resource.
     *
     * @param  \App\Models\Perfil  $perfil
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $titlePag= 'MOSTRAR PERFIL';
        $perfil = Perfil::find($id);
        return view('perfiles.mostrar')
        ->with('perfil', $perfil)
        ->with('titlePag', $titlePag);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Perfil  $perfil
     * @return \Illuminate\Http\Response
     */
    public function edit(Perfil $perfil){

        $titlePag= 'EDITAR PERFIL';
        return view("perfiles.editar", compact('titlePag','perfil'));

    }

    public function update(Request $request)
    {
        $titlePag= 'PERFIL EDITADO';
        $perfil = Perfil::find($request->id);
        
        $validacion=$request->validate([
            'nombre' => 'required',
            'nivel' => 'required',
        ]);

        if($validacion){
        
        $perfil->update($request->all());
            
        return view('perfiles.mostrar')
        ->with('perfil', $perfil)
        ->with('titlePag', $titlePag);
        } 
    }
    

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Perfil  $perfil
     * @return \Illuminate\Http\Response
     */
    public function delete($id){

        $titlePag= 'PERFILES';

        $perfiles = Perfil::find($id);
        //archivos perfiles establecimientos
        $perfiles->departamentos()->detach();
        $perfiles->establecimientos()->detach();
        $perfiles->archivos()->detach();
        $perfiles->usuarios()->detach();
        $perfiles->delete();

        $perfiles = Perfil::all();
    
        return view("perfiles.index")
        ->with('perfiles', $perfiles)
        ->with('titlePag', $titlePag);
    }
    
}