<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ProfileUpdateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'required',
            'email' => 'required|email',
            'password' => 'min:10|confirmed'
        ];
    }

    public function messages()
{
    return [
        'name.required' => 'El campo nombre es obligatorio',
        'email.required' => 'El campo email es obligatorio',
        'password.min:10' => 'La contraseña deve incluir como minimo 10 caracteres'
    ];
}
}
