<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Archivo extends Model
{
    use HasFactory;
    protected $fillable = [
        'titulo',
        'file_path',
        'descripcion_corta',
        'descripcion',
        'instrucciones',
        'periodicidad'
    ];

    public function departamentos() 
    {
        return $this->belongsToMany(Departamento::class,'a_d_e_ps','archivo_id','departamento_id')->withTimestamps();
    }

    public function perfiles() 
    {
        return $this->belongsToMany(Perfil::class,'a_d_e_ps','archivo_id','perfil_id')->withTimestamps();
    }

    public function establecimientos() 
    {
        return $this->belongsToMany(Establecimiento::class,'a_d_e_ps','archivo_id','departamento_id')->withTimestamps();
    }

    public function usuarios() 
    {
        return $this->belongsToMany(User::class,'archivo_usuarios','archivo_id','usuario_id')->withTimestamps();
    }

    public static function last()
    {
        return self::latest()->first();
    }
}
