<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Departamento extends Model
{
    use HasFactory;
    protected $fillable = [
        'nombre'
    ];

    public function archivos() 
    {
        return $this->belongsToMany(Archivo::class,'a_d_e_ps','departamento_id','archivo_id')->withTimestamps();
    }

    public function perfiles() 
    {
        return $this->belongsToMany(Perfil::class,'a_d_e_ps','departamento_id','perfil_id')->withTimestamps();
    }

    public function establecimientos() 
    {
        return $this->belongsToMany(Establecimiento::class,'a_d_e_ps','departamento_id','establecimineto_id')->withTimestamps();
    }

    public function usuarios() 
    {
        return $this->belongsToMany(User::class,'departamento_usuarios','departamento_id','usuario_id')->withTimestamps();
    }

    public static function last()
    {
        return self::latest()->first();
    }
}
