<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Establecimiento extends Model
{
    use HasFactory;
    protected $fillable = [
        'nombre',
        'direccion',
        'telefono',
        'empresa_id',
    ];

    public function empresa()
    {
        return $this->belongsTo(Empresa::class);
    }

    public function archivos() 
    {
        return $this->belongsToMany(Archivo::class,'a_d_e_ps','establecimiento_id','archivo_id')->withTimestamps();
    }

    public function perfiles() 
    {
        return $this->belongsToMany(Perfil::class,'a_d_e_ps','establecimiento_id','perfil_id')->withTimestamps();
    }

    public function departamentos() 
    {
        return $this->belongsToMany(Departamento::class,'a_d_e_ps','establecimiento_id','departamento_id')->withTimestamps();
    }

    public function usuarios() 
    {
        return $this->belongsToMany(User::class,'establecimiento_usuarios','establecimiento_id','usuario_id');
    }

    public static function last()
    {
        return self::latest()->first();
    }
}
