<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Perfil extends Model
{
    use HasFactory;
    protected $fillable = [
        'nombre',
        'nivel'
    ];

    public function establecimientos() 
    {
        return $this->belongsToMany(Establecimiento::class,'a_d_e_ps','perfil_id','establecimiento_id')->withTimestamps();
    }

    public function archivos() 
    {
        return $this->belongsToMany(Archivo::class,'a_d_e_ps','perfil_id','archivo_id')->withTimestamps();
    }

    public function departamentos() 
    {
        return $this->belongsToMany(Departamento::class,'a_d_e_ps','perfil_id','departamento_id')->withTimestamps();
    }

    public function usuarios() 
    {
        return $this->belongsToMany(User::class,'perfil_usuarios','perfil_id','usuario_id');
    }

    public static function last()
    {
        return self::latest()->first();
    }
}
