<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateArchivosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('archivos', function (Blueprint $table) {
            $table->id();
            $table->string('titulo')->require();
            $table->string('file_path')->require();
            $table->string('descripcion_corta')->require()->default('');
            $table->string('descripcion')->nullable()->default(null);
            $table->string('instrucciones')->nullable()->default(null);
            $table->enum('periodicidad',['diaria','semanal','mensual','trimestral','anual'])->require();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('archivos');
    }
}
