<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{$titlePag}}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg p-2">
                <form action="{{ route('archivos.store') }}" method="POST" enctype="multipart/form-data"
                    name="archivo">
                    @csrf

                    @if ($message = Session::get('success'))
                    <div class="alert alert-success">
                        <strong>{{ $message }}</strong>
                    </div>
                    @endif

                    <div class="row">
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <div class="form-group">
                                <label for="titulo"><strong>Título:</strong></label>
                                <input type="text" name="titulo" class="form-control">
                            </div>
                            <div class="form-group">
                                <label for="descripcion_corta"><strong>Descripcion corta:</strong></label>
                                <input type="text" name="descripcion_corta" class="form-control">
                            </div>
                            <div class="form-group">
                                <label for="descripcion"><strong>Descripcion:</strong></label>
                                <textarea type="text" name="descripcion" class="form-control"></textarea>
                            </div>
                            <div class="form-group">
                                <label for="instrucciones"><strong>Instrucciones:</strong></label>
                                <input type="text" name="instrucciones" class="form-control">
                            </div>
                            <div class="form-group">
                                <label for="periodicidad"><strong>Periodicidad:</strong></label>
                                <select name="periodicidad">
                                    <option value="diaria">Diaria</option>
                                    <option value="semanal">Semanal</option>
                                    <option value="mensual">Mensual</option>
                                    <option value="trimestral">Trimestral</option>
                                    <option value="anual">Anual</option>
                                </select>
                            </div>
                            <div class="custom-file">
                                <input type="file" name="file" class="custom-file-input" id="chooseFile">
                            </div>
                        </div>

                        @if ($errors->any())
                        <div class="alert alert-danger text-red-600">
                            <strong>Upps!</strong> Error al rellenar el formulario.
                            <ul>
                                @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                        @endif

                        <br>
                        <button type="submit"
                            class="bg-blue hover:bg-blue-500 text-blue-700  hover:text-white py-2 px-4 border border-blue-500 hover:border-transparent rounded">SUBIR
                            ARCHIVO</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
        <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg p-2">
            <a class="btn btn-success" href="{{ route('archivos.index') }}" title="Ver ARCHIVOS">Ver ARCHIVOS</a>
        </div><br>
        <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg p-2">
            <a class="btn btn-success" href="{{ route('inicio') }}" title="Volver al INICIO">Volver al INICIO</a>
        </div>
    </div>

</x-app-layout>
