<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{$titlePag}}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg p-2">
                <form action="{{ route('archivos.update', $archivo->id) }}" method="POST">
                    @csrf
                    @method('PUT')

                    <div class="row">
                        <div class="form-group">
                            <label for="titulo"><strong>Título:</strong></label>
                            <input type="text" name="titulo" class="form-control" value="{{$archivo->titulo}}">
                        </div>
                        <div class="form-group">
                            <label for="descripcion_corta"><strong>Descripcion corta:</strong></label>
                            <input type="text" name="descripcion_corta" class="form-control"
                                value="{{$archivo->descripcion_corta}}">
                        </div>
                        <div class="form-group">
                            <label for="descripcion"><strong>Descripcion:</strong></label>
                            <textarea type="text" name="descripcion" class="form-control" value="">
                            @if ($archivo->descripcion)
                                {{$archivo->descripcion}}
                            @endif
                            </textarea>
                        </div>
                        <div class="form-group">
                            <label for="instrucciones"><strong>Instrucciones:</strong></label>
                            <input type="text" name="instrucciones" class="form-control" @if ($archivo->instrucciones)
                            value="{{$archivo->instrucciones}}"
                            @else
                            value=""
                            @endif
                            >

                        </div>
                        <div class="form-group">
                            <label for="periodicidad"><strong>Periodicidad:</strong></label>
                            <select name="periodicidad">
                                <option value="diaria">Diaria</option>
                                <option value="semanal">Semanal</option>
                                <option value="mensual">Mensual</option>
                                <option value="trimestral">Trimestral</option>
                                <option value="anual">Anual</option>
                            </select>
                        </div>

                        @if ($errors->any())
                        <div class="alert alert-danger text-red-600">
                            <strong>Upps!</strong> Error al rellenar el formulario.
                            <ul>
                                @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                        @endif

                        <br>
                        <button type="submit"
                            class="bg-blue hover:bg-blue-500 text-blue-700  hover:text-white py-2 px-4 border border-blue-500 hover:border-transparent rounded">EDITAR
                            ARCHIVO</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
        <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg p-2">
            <a class="btn btn-success" href="{{ route('archivos.index') }}" title="Ver ARCHIVOS">Ver ARCHIVOS</a>
        </div><br>
        <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg p-2">
            <a class="btn btn-success" href="{{ route('inicio') }}" title="Volver al INICIO">Volver al INICIO</a>
        </div>
    </div>

</x-app-layout>
