<x-guest-layout>
    <x-auth-card>
        <x-slot name="logo">
            <a href="/">
                <x-application-logo2 class="w-20 h-20 fill-current text-gray-500"/>
            </a>
        </x-slot>

        <!-- Validation Errors -->
        <x-auth-validation-errors class="mb-4" :errors="$errors" />

        @if (isset($message))
            <div class="alert alert-danger text-red-600">
                <strong> {{$message}}.</strong>
            </div>
            {{-- <div class="p-6 bg-white border-b border-gray-200" align="center">
                <b class="text-red-600"></b>
            </div> --}}
        @endif

        <form method="POST" action="{{ route('register') }}">
            @csrf

            <!-- Name -->
            <div class="mt-4">
                <label for="name"><p>Nombre</p></label>

                <input id="name" class="block mt-1 w-full" type="text" name="name" required autofocus >
            </div>

            <!-- Last Name -->
            <div class="mt-4">
                <label for="lastname">Apellidos<label>

                <input id="lastname" class="block mt-1 w-full" type="text" name="lastname" required autofocus>
            </div>

            <!-- Email Address -->
            <div class="mt-4">
                <label for="email">Email</label>

                <input id="email" class="block mt-1 w-full" type="email" name="email" required>
            </div>

             <!-- Perfil -->
            <div class="mt-4">
                
                @foreach ($establecimientos as $establecimiento)
                    <label><input type="checkbox"  name="establecimientos[]" value="{{$establecimiento->id}}"> {{$establecimiento->nombre}}</label><br>
                        @foreach ($departamentos as $departamento)
                        <label><input type="checkbox"  name="departamentos[]" value="{{$departamento->id}}"> {{$departamento->nombre}}</label><br>
                            @foreach ($perfiles as $perfil)
                            <label><input type="checkbox"  name="perfiles[]" value="{{$perfil->id}}"> {{$perfil->nombre}}</label>
                            @endforeach <br>
                        @endforeach
                @endforeach
            </div>

            <!-- Password -->
            <div class="mt-4">
                <label for="password">Contraseña</label>

                <input id="password" class="block mt-1 w-full"
                                type="password"
                                name="password"
                                required autocomplete="new-password" />
            </div>

            <!-- Confirm Password -->
            <div class="mt-4">
                <label for="password_confirmation">Confirmar contraseña</label>

                <input id="password_confirmation" class="block mt-1 w-full"
                                type="password"
                                name="password_confirmation" required>
            </div>

            <div class="flex items-center justify-end mt-4">
                <a class="underline text-sm text-gray-600 hover:text-gray-900" href="{{ route('login') }}">
                    {{ __('Ya te has registrado?') }}
                </a>

                <x-button class="ml-4" name="submit">
                    {{ __('REGISTRAR USUARIO') }}
                </x-button>
            </div>
        </form>
    </x-auth-card>
</x-guest-layout>
