<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{$titlePag}}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg p-2">
                <form action="{{ route('departamentos.update', $departamento) }}" method="POST">
                    @csrf
                    @method('PUT')

                    <div class="row">
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <div class="form-group">
                                <label for="nombre"><strong>Nombre:</strong></label>
                                <input type="text" name="nombre" class="form-control" value="{{$departamento->nombre}}">
                            </div>
                        </div>
                    </div>

                    @if ($errors->any())
                    <div class="alert alert-danger text-red-600">
                        <strong>Upps!</strong> Error al rellenar el formulario.
                        <ul>
                            @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                    @endif

                    <br>
                    <button type="submit"
                        class="bg-blue hover:bg-blue-500 text-blue-700  hover:text-white py-2 px-4 border border-blue-500 hover:border-transparent rounded">EDITAR
                        DEPARTAMENTO</button>
            </form>
        </div>
    </div>
    </div>

    <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
        <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg p-2">
            <a class="btn btn-success" href="{{ route('departamentos.index') }}" title="Ver DEPARTAMENTOS">Ver
                DEPARTAMENTOS</a>
        </div><br>
        <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg p-2">
            <a class="btn btn-success" href="{{ route('inicio') }}" title="Volver al INICIO">Volver al INICIO</a>
        </div>
    </div>

</x-app-layout>
