<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{$titlePag}}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                <ol>
                    @forelse ($establecimientos as $establecimiento)
                    <li class="p-6 bg-white border-b border-gray-200"><strong>NOMBRE:
                        </strong>{{$establecimiento->nombre}} <br>
                        <strong>DIRECCIÓN: </strong>{{$establecimiento->direccion}} <br>
                        <strong>TELÉFONO: </strong>{{$establecimiento->telefono}} <br><br>
                        <a href="{{ route('establecimientos.mostrar', $establecimiento->id) }}"
                            title="Mostrar Establecimiento"
                            class="bg-blue hover:bg-blue-500 text-blue-700  hover:text-white py-2 px-4 border border-blue-500 hover:border-transparent rounded">MOSTRAR</a>
                        <a href="{{ route('establecimientos.edit', $establecimiento->id) }}"
                            title="Editar Establecimiento"
                            class="bg-blue hover:bg-blue-500 text-blue-700  hover:text-white py-2 px-4 border border-blue-500 hover:border-transparent rounded">EDITAR</a>
                        <a href="{{ route('establecimientos.delete', $establecimiento->id) }}"
                            title="Borrar Establecimiento"
                            class="bg-blue hover:bg-blue-500 text-blue-700  hover:text-white py-2 px-4 border border-blue-500 hover:border-transparent rounded">BORRAR</a>
                    </li>
                    @empty
                    <p>No hay ESTABLECIMIENTOS almacenados</p>
                    @endforelse
                </ol>
            </div>
        </div>
    </div>

    <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
        <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg p-2">
            <a class="btn btn-success" href="{{ route('establecimientos.create') }}"
                title="Añadir Establecimiento">Añadir ESTABLECIMIENTO</a>
        </div><br>
        <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg p-2">
            <a class="btn btn-success" href="{{ route('inicio') }}" title="Volver al INICIO">Volver al INICIO</a>
        </div>
    </div>
</x-app-layout>
