<nav x-data="{ open: false }" class="bg-white border-b border-gray-100">
    <!-- Primary Navigation Menu -->
    <div class="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8">
        <div class="flex justify-between h-16">
            <div class="flex">
                <!-- Logo -->
                <div class="shrink-0 flex items-center">
                    <a href="{{ route('inicio') }}">
                        <x-application-logo class="block h-5 w-auto fill-current text-gray-600"/>
                    </a>
                </div>

                <!-- Navigation Links -->
                <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">
                    <x-nav-link :href="route('listadetareas')" :active="request()->routeIs('listadetareas')">
                        {{ __('Lista de tareas') }}
                    </x-nav-link>
                </div>
                <div class="hidden sm:flex sm:items-center sm:ml-6">
                    <x-dropdown align="center" width="48" style="margin-top: 10px">
                        <x-slot name="trigger">
                            <button class="flex items-center text-sm font-medium text-gray-500 hover:text-gray-700 hover:border-gray-300 focus:outline-none focus:text-gray-700 focus:border-gray-300 transition duration-150 ease-in-out">
                                <div>
                                    Archivos
                                </div>
                            </button>
                        </x-slot>
                        <x-slot name="content">
                            <x-responsive-nav-link :href="route('archivos.index')">
                                {{ __('Lista Archivos') }}
                            </x-responsive-nav-link>
                                <x-responsive-nav-link :href="route('archivos.create')">
                                    {{ __('Subir Archivos') }}
                                </x-responsive-nav-link>
                        </x-slot>
                    </x-dropdown>
                </div>
                <div class="hidden sm:flex sm:items-center sm:ml-6">
                    <x-dropdown align="center" width="48" style="margin-top: 10px">
                        <x-slot name="trigger">
                            <button class="flex items-center text-sm font-medium text-gray-500 hover:text-gray-700 hover:border-gray-300 focus:outline-none focus:text-gray-700 focus:border-gray-300 transition duration-150 ease-in-out">
                                <div>
                                    Empresas
                                </div>
                            </button>
                        </x-slot>
                        <x-slot name="content">
                            <x-responsive-nav-link :href="route('empresas.index')">
                                {{ __('Lista Empresas') }}
                            </x-responsive-nav-link>
                                <x-responsive-nav-link :href="route('empresas.create')">
                                    {{ __('Nueva Empresa') }}
                                </x-responsive-nav-link>
                        </x-slot>
                    </x-dropdown>
                </div>
                <div class="hidden sm:flex sm:items-center sm:ml-6">
                    <x-dropdown align="center" width="48" style="margin-top: 10px">
                        <x-slot name="trigger">
                            <button class="flex items-center text-sm font-medium text-gray-500 hover:text-gray-700 hover:border-gray-300 focus:outline-none focus:text-gray-700 focus:border-gray-300 transition duration-150 ease-in-out">
                                <div>
                                    Departamentos
                                </div>
                            </button>
                        </x-slot>
                        <x-slot name="content">
                            <x-responsive-nav-link :href="route('departamentos.index')">
                                {{ __('Lista Departamentos') }}
                            </x-responsive-nav-link>
                                <x-responsive-nav-link :href="route('departamentos.create')">
                                    {{ __('Nuevo Departamento') }}
                                </x-responsive-nav-link>
                        </x-slot>
                    </x-dropdown>
                </div>
                <div class="hidden sm:flex sm:items-center sm:ml-6">
                    <x-dropdown align="center" width="48" style="margin-top: 10px">
                        <x-slot name="trigger">
                            <button class="flex items-center text-sm font-medium text-gray-500 hover:text-gray-700 hover:border-gray-300 focus:outline-none focus:text-gray-700 focus:border-gray-300 transition duration-150 ease-in-out">
                                <div>
                                    Establecimientos
                                </div>
                            </button>
                        </x-slot>
                        <x-slot name="content">
                            <x-responsive-nav-link :href="route('establecimientos.index')">
                                {{ __('Lista Establecimientos') }}
                            </x-responsive-nav-link>
                                <x-responsive-nav-link :href="route('establecimientos.create')">
                                    {{ __('Nuevo Establecimiento') }}
                                </x-responsive-nav-link>
                        </x-slot>
                    </x-dropdown>
                </div>
                <div class="hidden sm:flex sm:items-center sm:ml-6"  style="margin-right: 20px;">
                    <x-dropdown align="center" width="48" style="margin-top: 10px; margin-right: 10px;">
                        <x-slot name="trigger">
                            <button class="flex items-center text-sm font-medium text-gray-500 hover:text-gray-700 hover:border-gray-300 focus:outline-none focus:text-gray-700 focus:border-gray-300 transition duration-150 ease-in-out">
                                <div>
                                    Perfiles
                                </div>
                            </button>
                        </x-slot>
                        <x-slot name="content">
                            <x-responsive-nav-link :href="route('perfiles.index')">
                                {{ __('Lista Perfiles') }}
                            </x-responsive-nav-link>
                                <x-responsive-nav-link :href="route('perfiles.create')">
                                    {{ __('Nuevo Perfil') }}
                                </x-responsive-nav-link>
                        </x-slot>
                    </x-dropdown>
                </div>
                    @if (Auth::user()!==null)
                        @foreach (Auth::user()->perfiles as $perfil)
                            @if ($perfil->nombre == 'admin')
                            <x-nav-link :href="route('register')">
                                {{ __('Registrarse') }}
                            </x-nav-link>
                            @endif
                        @endforeach
                    @endif
                </div>

            <!-- Settings Dropdown -->
            <div class="hidden sm:flex sm:items-center sm:ml-6">
                <x-dropdown align="right" width="48">
                    <x-slot name="trigger">
                        <button class="flex items-center text-sm font-medium text-gray-500 hover:text-gray-700 hover:border-gray-300 focus:outline-none focus:text-gray-700 focus:border-gray-300 transition duration-150 ease-in-out">
                            @if (Auth::user() == null)
                            Identificarse
                            @else
                            {{ Auth::user()->name }}
                            @endif

                            <div class="ml-1">
                                <svg class="fill-current h-4 w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">
                                    <path fill-rule="evenodd" d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z" clip-rule="evenodd" />
                                </svg>
                            </div>
                        </button>
                    </x-slot>

                    <x-slot name="content">
                        <!--Profile-->
                        @if (Auth::user() !== null)
                        <x-responsive-nav-link :href="route('profile')">
                            {{ __('Mi perfil') }}
                        </x-responsive-nav-link>
                        @endif
                        <!-- Authentication -->
                        @if (Auth::user() == null)
                        <form method="GET" action="{{ route('login') }}">
                            @csrf

                            <x-responsive-nav-link :href="route('login')"
                                    onclick="event.preventDefault();
                                                this.closest('form').submit();">
                                {{ __('Iniciar sesión') }}
                            </x-responsive-nav-link>
                                @else
                                <form method="POST" action="{{ route('logout') }}">
                                    @csrf
        
                                    <x-responsive-nav-link :href="route('logout')"
                                            onclick="event.preventDefault();
                                                        this.closest('form').submit();">
                                        {{ __('Cerrar sesión') }}
                                    </x-responsive-nav-link>
                                </form>
                                @endif
                        
                    </x-slot>
                </x-dropdown>
            </div>

            <!-- Hamburger -->
            <div class="-mr-2 flex items-center sm:hidden">
                <button @click="open = ! open" class="inline-flex items-center justify-center p-2 rounded-md text-gray-400 hover:text-gray-500 hover:bg-gray-100 focus:outline-none focus:bg-gray-100 focus:text-gray-500 transition duration-150 ease-in-out">
                    <svg class="h-6 w-6" stroke="currentColor" fill="none" viewBox="0 0 24 24">
                        <path :class="{'hidden': open, 'inline-flex': ! open }" class="inline-flex" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h16M4 18h16" />
                        <path :class="{'hidden': ! open, 'inline-flex': open }" class="hidden" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M6 18L18 6M6 6l12 12" />
                    </svg>
                </button>
            </div>
        </div>
    </div>

    <!-- Responsive Navigation Menu -->
    <div :class="{'block': open, 'hidden': ! open}" class="hidden sm:hidden">
        <div class="pt-2 pb-3 space-y-1">
            <x-responsive-nav-link :href="route('listadetareas')" :active="request()->routeIs('listadetareas')">
                {{ __('Lista de tareas') }}
            </x-responsive-nav-link>
        </div>

        <!-- Responsive Settings Options -->
        <div class="pt-4 pb-1 border-t border-gray-200">
            <div class="px-4">
                @if (Auth::user() == null)
                                <a href="{{ route('login') }}">Log in</a>
                                @else
                                <div class="font-medium text-base text-gray-800">{{ Auth::user()->name }}</div>
                                <div class="font-medium text-sm text-gray-500">{{ Auth::user()->email }}</div>
                                @endif
            </div>

            <div class="mt-3 space-y-1">
                <!-- Authentication -->
                <form method="POST" action="{{ route('logout') }}">
                    @csrf

                    <x-responsive-nav-link :href="route('logout')"
                            onclick="event.preventDefault();
                                        this.closest('form').submit();">
                        {{ __('Log Out') }}
                    </x-responsive-nav-link>
                </form>
            </div>
        </div>
    </div>
</nav>
